/*
	Das echte layout.css!!!
*/

.xta-hover{
    -fx-border: medium;
    -fx-border-color: black;
    -fx-border-style: dashed;
}

.xta-further-options{
	-fx-padding-left: 2;
	-fx-padding-right: 2;
    -fx-background-color: white;
}

.xta-further-options-button{
	-fx-max-height: 1.6em;
	-fx-max-width: 2.2em;
	-fx-min-width: 2.2em;
}

.xta-spacepanel{
    -fx-padding: 5;
    -fx-margin: 5;
    -fx-hgap: 10;
}

#xta-ribbon {
    -fx-padding: 2;
    -fx-margin: 2;
    -fx-hgap: 4;
}

.xta-button {
	-fx-margin: 5;
	-fx-padding: 5;
}

#xta-statusbar{
	-fx-font-size: 10pt;
}

#xta-workbenchtitle{
    -fx-background-color: white;
}

#xta-workbenchtitlelabel{
	-fx-font-size: 14pt;
    -fx-background-color: white;
    -fx-text-fill: black;
}

#xta-workbenchcommonactions{
    -fx-background-color: white;
    -fx-text-fill: black;
}

#xta-workbenchsendactions{
    -fx-background-color: white;
    -fx-text-fill: black;
}

#xta-workbenchelementactions{
    -fx-background-color: white;
    -fx-text-fill: black;
    -fx-max-width: 10em;
    -fx-min-width: 10em;
}

#xta-ribbon{
    -fx-background-color: white;
    -fx-text-fill: black;
}

#xta-statusbar{
	-fx-border-color: #BBBBBB;
}

#xta-statusbar_test{
	-fx-border-color: #FFFFFF;
}

.xta-edit{
    -fx-background-color: #FFFFDD;
}

.xta-value-carrier{
	-fx-margin-left: 2;
	-fx-margin-right: 2;
	-fx-padding-left: 2;
	-fx-padding-right: 2;
}

#xtaChoiceMainPanel{
	-fx-margin: 5;
	-fx-padding: 5;
	-fx-background-color: white;
    -fx-text-fill: black;
}

.xta-about{
	-fx-margin: 5;
	-fx-padding: 5;
	-fx-background-color: white;
}

.green{
	-fx-background-color: green;
}

.repo-xml-structure{
	fx-min-width: 150px;
	fx-width: 150px;
}

.xta-extension{
	-fx-background-color: #80ff80;
}

.xta-title-label{
	-fx-font-size: x-large;
	-fx-font-weight: bold;
}

.xta-about-label{
	-fx-padding: 10;
}

/* XML highlighting */
.tagmark {
    -fx-fill: rgb(0, 0, 255);
}
.anytag {
    -fx-fill: rgb(0, 0, 255);
}
.paren {
    -fx-fill: firebrick;
    -fx-font-weight: bold;
}
.attribute {
    -fx-fill: red; /*darkviolet;*/
}
.avalue {
    -fx-fill: black;
}

.comment {
	-fx-fill: teal;
}
